All Data Structures Namespaces Files Functions Variables Pages
dbstuff Class Reference

## Public Member Functions

| connect ($dbhost, $dbuser, $dbpw, $dbname= '', $pconnect=0)
| select_db ($dbname)
| fetch_array ($query, $result_type=MYSQL_ASSOC)
| query ($sql, $type= '')
| queries ($queries)
| create_table ($sql)
| array_insert ($dbname, $data)
| multi_insert ($tblname, $data, $primary= '')
| array_update ($dbname, $data, $where)
| multi_update ($dbname, $data, $confield, $singleqry= '')
| affected_rows ()
| error ()
| errno ()
| result ($query, $row)
| data_seek ($query, $row)
| num_rows ($query)
| num_fields ($query)
| free_result ($query)
| insert_id ()
| fetch_row ($query)
| fetch_fields ($query)
| version ()
| close ()
| halt ($message= '', $sql= '')

## Data Fields

| $querynum = 0
| $selectnum = 0
| $insertnum = 0
| $updatenum = 0
| $deletenum = 0

## Detailed Description

Definition at line 7 of file db_mysql.class.php.

## Member Function Documentation

affected_rows | ( |  | ) |

Definition at line 241 of file db_mysql.class.php.

array_insert | ( |  | $dbname,
|  |  | $data
| ) |  |

Definition at line 144 of file db_mysql.class.php.

array_update | ( |  | $dbname,
|  |  | $data,
|  |  | $where
| ) |  |

Definition at line 186 of file db_mysql.class.php.

close | ( |  | ) |

Definition at line 292 of file db_mysql.class.php.

connect | ( |  | $dbhost,
|  |  | $dbuser,
|  |  | $dbpw,
|  |  | $dbname = `''`,
|  |  | $pconnect = `0`
| ) |  |

Definition at line 14 of file db_mysql.class.php.

create_table | ( |  | $sql | ) |

Definition at line 84 of file db_mysql.class.php.

data_seek | ( |  | $query,
|  |  | $row
| ) |  |

Definition at line 258 of file db_mysql.class.php.

errno | ( |  | ) |

Definition at line 249 of file db_mysql.class.php.

error | ( |  | ) |

Definition at line 245 of file db_mysql.class.php.

fetch_array | ( |  | $query,
|  |  | $result_type = `MYSQL_ASSOC`
| ) |  |

Definition at line 50 of file db_mysql.class.php.

fetch_fields | ( |  | $query | ) |

Definition at line 284 of file db_mysql.class.php.

fetch_row | ( |  | $query | ) |

Definition at line 279 of file db_mysql.class.php.

free_result | ( |  | $query | ) |

Definition at line 270 of file db_mysql.class.php.

halt | ( |  | $message = `''`,
|  |  | $sql = `''`
| ) |  |

Definition at line 296 of file db_mysql.class.php.

insert_id | ( |  | ) |

Definition at line 274 of file db_mysql.class.php.

multi_insert | ( |  | $tblname,
|  |  | $data,
|  |  | $primary = `''`
| ) |  |

Definition at line 158 of file db_mysql.class.php.

multi_update | ( |  | $dbname,
|  |  | $data,
|  |  | $confield,
|  |  | $singleqry = `''`
| ) |  |

Definition at line 196 of file db_mysql.class.php.

num_fields | ( |  | $query | ) |

Definition at line 266 of file db_mysql.class.php.

num_rows | ( |  | $query | ) |

Definition at line 261 of file db_mysql.class.php.

queries | ( |  | $queries | ) |

Definition at line 67 of file db_mysql.class.php.

query | ( |  | $sql,
|  |  | $type = `''`
| ) |  |

Definition at line 54 of file db_mysql.class.php.

result | ( |  | $query,
|  |  | $row
| ) |  |

Definition at line 253 of file db_mysql.class.php.

select_db | ( |  | $dbname | ) |

Definition at line 46 of file db_mysql.class.php.

version | ( |  | ) |

Definition at line 288 of file db_mysql.class.php.

## Field Documentation

$deletenum = 0

Definition at line 12 of file db_mysql.class.php.

$insertnum = 0

Definition at line 10 of file db_mysql.class.php.

$querynum = 0

Definition at line 8 of file db_mysql.class.php.

$selectnum = 0

Definition at line 9 of file db_mysql.class.php.

$updatenum = 0

Definition at line 11 of file db_mysql.class.php.

The documentation for this class was generated from the following file:

- include/db_mysql.class.php